Run Trustpilot Reviews
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-trustpilot-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business": "hubspot.com",
"max_items": 25
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-trustpilot-reviews"
payload = {
"business": "hubspot.com",
"max_items": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({business: 'hubspot.com', max_items: 25})
};
fetch('https://api.neuralverge.ai/functions/v1/run-trustpilot-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "trustpilot_business_reviews",
"business": "hubspot.com",
"max_items": 2,
"business_found": true,
"partial": false,
"human": "# Trustpilot business reviews\n\n- **Business:** hubspot.com\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 1.08 MB",
"machine": {
"total_items": 2,
"reviews": [
{
"id": "6aab93ec9c591d1f56ba1c6e",
"url": "https://www.trustpilot.com/reviews/6aab93ec9c591d1f56ba1c6e",
"title": "HubSpot - Expensive, Clunky and No Longer Fit for Purpose",
"text": "Our experience with HubSpot has been appalling.\n\nThey are incredibly quick to sell and upsell, make promises about functionality, encourage you to spend even more money customising the platform to suit your business, and then make unilateral changes that interfere with those very customisations and workflows.\n\nA CRM is supposed to make a business more efficient. HubSpot's changes have done the opp",
"rating": 1,
"written_date": "2026-09-17T09:17:00.000Z",
"experienced_date": "2026-09-17T00:00:00.000Z",
"is_unprompted": true,
"is_verified": false,
"useful_count": 0,
"language": "en",
"author": {
"id": "67caafa0c7a2ca2a17330776",
"name": "Scott McPhillips",
"country": "AU",
"review_count": 2,
"image": "https://user-images.trustpilot.com/67caafa0c7a2ca2a17330776/73x73.png",
"url": "https://www.trustpilot.com/users/67caafa0c7a2ca2a17330776"
},
"business_reply": null
},
{
"id": "6aa976bc521222c71dff1b6d",
"url": "https://www.trustpilot.com/reviews/6aa976bc521222c71dff1b6d",
"title": "Fire HubSpot.",
"text": "I missed cancelling components of my contract by a week, and it auto-renewed, and the customer service rep refused to adjust my contract and is forcing me to pay hundreds of dollars a month for things I don't use or want.\n\nI didn't ask for auto-renewal, I miss a deadline by a week and suddenly they decide I owe them several thousand dollars?\n\nLets be honest, nobody reads automated reminder emails ",
"rating": 1,
"written_date": "2026-09-15T18:47:56.000Z",
"experienced_date": "2026-09-14T00:00:00.000Z",
"is_unprompted": true,
"is_verified": false,
"useful_count": 0,
"language": "en",
"author": {
"id": "66fda755084cca311f24a95d",
"name": "Charles Dejager",
"country": "US",
"review_count": 2,
"image": null,
"url": "https://www.trustpilot.com/users/66fda755084cca311f24a95d"
},
"business_reply": null
}
],
"proxy_traffic_bytes": 1129643
},
"total_points": 2
}Product reviews
Run Trustpilot Reviews
Returns customer reviews for a Trustpilot business by domain or URL: rating, text, and author. List endpoint: 1 point per returned record.
POST
/
functions
/
v1
/
run-trustpilot-reviews
Run Trustpilot Reviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.